# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPaletteTable Class Reference

A color palette in table form. More...

`#include <kcolordialog.h>`

Inheritance diagram for KPaletteTable:

[legend]
Collaboration diagram for KPaletteTable:

[legend]
List of all members.

## Public Slots

void | setPalette (const QString &paletteName)

## Signals

void | colorSelected (const QColor &, const QString &)
void | colorDoubleClicked (const QColor &, const QString &)

## Public Member Functions

| KPaletteTable (QWidget *parent, int minWidth=210, int cols=16)
void | addToCustomColors (const QColor &)
void | addToRecentColors (const QColor &)
QString | palette () const

## Protected Slots

void | slotColorCellSelected (int)
void | slotColorCellDoubleClicked (int)
void | slotColorTextSelected (const QString &colorText)
void | slotSetPalette (const QString &_paletteName)
void | slotShowNamedColorReadError (void)

## Protected Member Functions

void | readNamedColor (void)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | i18n_customColors
QString | i18n_recentColors
QString | i18n_namedColors
QComboBox * | combo
KColorCells * | cells
QScrollView * | sv
KListBox * | mNamedColorList
KPalette * | mPalette
int | mMinWidth
int | mCols

## Detailed Description

A color palette in table form.

Author:
  Waldo Bastian <bastian@kde.org>

Definition at line 198 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003